{
    "name"            : "dbc-code-contracts",
    "description"     : "ES6 classes, which offer the Design by Contract (DbC) approach, which is also known as the contract programming and other useful methods for the quick work.",
    "license"         : "MIT",
    "version"         : "0.16.0",
    "engines"         : { "node": ">=7.10.1" },
    "devDependencies" : {
        "jasmine-core"           : "^2.8.0",
        "karma"                  : "^1.7.1",
        "karma-cli"              : "^1.0.1",
        "karma-jasmine"          : "^1.1.0",
        "karma-chrome-launcher"  : "^2.2.0",
        "karma-firefox-launcher" : "^1.0.1",
        "uglify-es"              : "^3.1.6"
    },
    "main"  : "./build/dbc.js",
    "files" : [
        "scripts/*",
        "sources/*.js",
        "tests/**/*",
        "karma.conf.js",
        "readme.md",
        ".gitlab-ci.yml"
    ],
    "scripts": {
        "preinstall"     : "npm run mbkp",
        "build"          : "rm -rf build && mkdir build && ./scripts/build.project.sh",
        "test"           : "npm run build && ./node_modules/.bin/karma start",
        "postinstall"    : "chmod +x ./scripts/postinstall.sh && ./scripts/postinstall.sh",
        "make-mi-backup" : "cp package.json package.backup.json",
        "clean"          : "rm -rf package-lock.json package.backup.json ./node_modules ./build",
        "b"              : "npm run build",
        "t"              : "npm run test",
        "mbkp"           : "npm run make-mi-backup",
        "c"              : "npm run clean"
    },
    "repository": {
        "type" : "git",
        "url"  : "https://gitlab.com/o.oleg/orbios.dbc"
    },
    "keywords": [
        "dbc",
        "data",
        "contract",
        "contracts",
        "ensures",
        "requires",
        "enum",
        "enumeration",
        "DOM",
        "manipulation",
        "BLOB"
    ],
    "maintainers": [
        {
            "name"  : "neverlands",
            "email" : "o.oleg@xsoft.org"
        }
    ]
}